{
  "easycom": {
    "custom": {
      "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
      "^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)": "z-paging/components/z-paging$1/z-paging$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/home/index",
      "style": {
        "navigationBarTitleText": "首页",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/qrcode/index",
      "style": {
        "navigationBarTitleText": "会员支付码"
      }
    },
    {
      "path": "pages/mall/index",
      "style": {
        "navigationBarTitleText": "商城"
      }
    },
    {
      "path": "pages/mine/index",
      "style": {
        "navigationBarTitleText": "我的"
      }
    }
  ],
  "subPackages": [
    {
      "root": "pages/common",
      "pages": [
        {
          "path": "login/index",
          "navigationStyle": "custom"
        },
        {
          "path": "register/index",
          "style": {
            "navigationBarTitleText": "注册有礼"
          }
        },
        {
          "path": "groupbuy/index",
          "style": {
            "navigationBarTitleText": "团购秒杀",
            "backgroundColor": "#F32B2B",
            "backgroundColorTop": "#F32B2B",
            "navigationBarTextStyle": "white",
            "navigationBarBackgroundColor": "#F32B2B"
          }
        },
        {
          "path": "groupbuy/detail",
          "style": {
            "navigationBarTitleText": "商品团购券"
          }
        },
        {
          "path": "webview/index",
          "navigationBarTitleText": "网页"
        }
      ]
    },
    {
      "root": "pages/home/subs",
      "pages": [
        {
          "path": "group/join",
          "style": {
            "navigationBarTitleText": "扫码加群"
          }
        }
      ]
    },
    {
      "root": "pages/mall/subs",
      "pages": [
        {
          "path": "goods/goods-detail",
          "style": {
            "navigationBarTitleText": "商品详情"
          }
        },
        {
          "path": "order/order-confirm",
          "style": {
            "navigationBarTitleText": "确认订单"
          }
        },
        {
          "path": "shoppingcart/index",
          "style": {
            "navigationBarTitleText": "购物车"
          }
        },
        {
          "path": "search/index",
          "style": {
            "navigationBarTitleText": "搜索"
          }
        }
      ]
    },
    {
      "root": "pages/mine/subs",
      "pages": [
        {
          "path": "profile/index",
          "style": {
            "navigationBarTitleText": "会员信息"
          }
        },
        {
          "path": "integral/index",
          "style": {
            "navigationBarTitleText": "我的积分"
          }
        },
        {
          "path": "recharge/index",
          "style": {
            "navigationBarTitleText": "会员充值"
          }
        },
        {
          "path": "coupon/index",
          "style": {
            "navigationBarTitleText": "优惠券"
          }
        },
        {
          "path": "order/order-list",
          "style": {
            "navigationBarTitleText": "我的订单"
          }
        },
        {
          "path": "order/order-detail",
          "style": {
            "navigationBarTitleText": "订单详情"
          }
        },
        {
          "path": "trade/index",
          "style": {
            "navigationBarTitleText": "消费记录"
          }
        },
        {
          "path": "address/address-list",
          "style": {
            "navigationBarTitleText": "收货地址"
          }
        },
        {
          "path": "address/add-address",
          "style": {
            "navigationBarTitleText": "新增收货地址"
          }
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/home/index": {
      "network": "all",
      "packages": [
        "pages/common"
      ]
    }
  },
  "tabBar": {
    "color": "#ABABAB",
    "selectedColor": "#333333",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/home/index",
        "iconPath": "static/images/ic_tab_home_normal.png",
        "selectedIconPath": "static/images/ic_tab_home_active.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/qrcode/index",
        "iconPath": "static/images/ic_tab_qrcode_normal.png",
        "selectedIconPath": "static/images/ic_tab_qrcode_active.png",
        "text": "支付码"
      },
      {
        "pagePath": "pages/mall/index",
        "iconPath": "static/images/ic_tab_mall_normal.png",
        "selectedIconPath": "static/images/ic_tab_mall_active.png",
        "text": "商城"
      },
      {
        "pagePath": "pages/mine/index",
        "iconPath": "static/images/ic_tab_mine_normal.png",
        "selectedIconPath": "static/images/ic_tab_mine_active.png",
        "text": "我的"
      }
    ]
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "VIP顾客中心",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#F7F7F7"
  }
}
